<h1>Images</h1>

<div class="actions">
  <a [routerLink]="['/user', userId, 'create-image']" mat-raised-button color="primary">Create image</a>
</div>

<div class="no-images" *ngIf="images.length === 0; else imageList">
  There are no images
</div>

<ng-template #imageList>
  <div class="images">
    <app-image
      *ngFor="let image of images"
      [image]="image"
      (outLike)="onLike($event)"
      (outDelete)="onDelete($event)"
    ></app-image>
  </div>
</ng-template>
